Subject: card

From: "Feng Gang 301-441-8871 (home)" <[email-masked]>
Date: Fri, 11 Mar 94 09:29:56 CST

Hello,

While some lads have received approval and others talking about TAX,
I am still waiting for my Card.  I'm a CSPA principal.

Thanks to the person who posted the phone #.  I made a call and found
that there is a problem with my card.  The operator told me that
because the I-81 and I-89 forms are not match, the case was sent back
to the local INS on January 18.  But I have got nothing from local INS
-- Baltimore INS.

My question is (1) what are I-81 and I-89 forms?  (2) What should I do
now?  Simply wait or go ask the local INS?

Thank you.

P.S.  My LAD has got nothing up to now.
........................................................
.  Fenggang Yang, The Catholic University of America  ..
.  Internet: [email-masked]       BITNET: 54YANG@CUA  ..
.  FAX: (U.S.) 202-319-6267                           ..
........................................................